## NAME

i.shape - Performs spatial shape identification and classification on a raster map
(GRASS Image Processing Program)

## SYNOPSIS

i.shape
i.shape help
i.shape input=name output=name [width=value] [threshold=value] [orientations=value]

## DESCRIPTION

Reads a GRASS raster map as input. Calculates spatial shape identification and classification on a raster map. Be sure to carefully set your resolution (using g.region) before running this program, or else your computer could run out of memory.

## OPTIONS

### Parameter:

input=name
  Name of input raster map layer.
output=name
  Fourier transformation output file
width=value
  This parameter determines the x-y extent of the Gaussian filter. The default value is 9; higher and lower values can be tested by the user. Increasing the width will result in finding "edges" representing more gradual changes in cell values.
  Default: 9
threshold=value
  This parameter determines the "sensitivity" of the Gaussian filter. The default value is 10; higher and lower values can be tested by the user. Increasing the threshold value will result in fewer edges being found.
  Default: 10
orientations=value
  This value is the number of azimuth directions the cells on the output raster map layer are categorized into (similar to the aspect raster map layer produced by the r.slope.aspect program). For example, a value of 16 would result in detected edges being categorized into one of 16 bins depending on the direction of the edge at that point.
  Default: 1

The current region definition and mask settings are respected when reading the input map.

## NOTES

[..]

## SEE ALSO

i.fft
i.ifft
r.mapcalc
g.region
i.texture
i.zc

## AUTHOR

Hong Chun Zhuang
Sep.21,1992 at EC, CERL

Last changed: $Date: 2002/01/25 05:45:33 $